/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package cz.vsb.vis.visvzorservice;

import cz.vsb.vis.visvzor.model.Clovek;
import java.io.FileNotFoundException;
import java.io.UnsupportedEncodingException;
import java.util.List;
import java.util.logging.Level;
import java.util.logging.Logger;

public class LideService {

    private List<Clovek> lide;

    private LideRepository lideRepository = new LideRepositoryImpl();

    public void addClovek(Clovek clovek) {
        getLide().add(clovek);
        try {
            lideRepository.ulozLidi(getLide());
        } catch (FileNotFoundException | UnsupportedEncodingException ex) {
            Logger.getLogger(LideService.class.getName()).log(Level.SEVERE, null, ex);
        }
    }

    public int getPocetLidi() {
        return getLide().size();
    }

    public Clovek getClovek(int pozice) {
        return getLide().get(pozice);
    }

    //Mockito isn't initialized yet when nactiLidi() is called from constructor.
    private List<Clovek> getLide() {
        if (lide == null) {
            this.lide = lideRepository.nactiLidi();
        }
        return lide;
    }
}
